# -*- coding: utf-8 -*-
"""
Created on Wed Jan 29 11:18:16 2020


"""

import numpy as np

cant_niveles = 13

patamares = []
patamares.append('Leve')
patamares.append('Media')
patamares.append('Pesada')

nombre_archi_P = 'hoja_exp_acum_'
nombre_archi_cme = 'hoja_CME_'
nombre_archi_cmepp = 'hoja_cme_pp'
nombre_plantilla = 'plantilla_diaria_v6'
nombre_sala = 'sala_expo_23_2021'
nombre_carpeta = 'sala_expo_23_2021' 

path_sala = 'C:/simsee/corridas/' + nombre_carpeta + '/'
sufijo_nivel = '_d'
#sufijo_nivel = '_FBR_TGPTB'
#sufijo_nivel = '_FBR_TGPTB_SL'

cme_niveles = np.zeros((cant_niveles*3,12))

kfila = 0


for knivel in range(cant_niveles):
    
    path_nivel = path_sala + nombre_sala + '_' + nombre_plantilla + '_niv' + str(knivel) + sufijo_nivel\
        + '_resultados_/' 

    # excedencias cme
    for kpatamar in range(len(patamares)):
        
        path = path_nivel + nombre_archi_cme + patamares[kpatamar] + '.xlt'     

        a = np.loadtxt(path, skiprows = 2)
        
        cme_pe = a[-1, 2:]
        
        cme_niveles[kfila:] = cme_pe
        
        kfila = kfila + 1
    
    # cme_pp
    path = path_nivel + nombre_archi_cmepp + '.xlt'
    a = np.loadtxt(path, skiprows = 2)
    cme_pp = a[-1, 2:]    
    cme_niveles[kfila - 3: kfila, 0] = cme_pp
    
               

np.savetxt(path_sala + 'niveles_' + nombre_archi_cme + sufijo_nivel +'.xlt', cme_niveles, 
                   delimiter = '\t', newline = '\n')
    
     # excedencias cme 
     
        

P_niveles = np.zeros((cant_niveles*3,12))

kfila = 0


for knivel in range(cant_niveles):
    
    path_nivel = path_sala + nombre_sala + '_' + nombre_plantilla + '_niv' + str(knivel) + sufijo_nivel\
        + '_resultados_/' + nombre_archi_P

    for kpatamar in range(len(patamares)):
        
        path = path_nivel + patamares[kpatamar] + '.xlt'     

        a = np.loadtxt(path, skiprows = 2)
        
        P_pe = a[-1, 2:]
        
        P_niveles[kfila:] = P_pe
        
        kfila = kfila + 1
        

np.savetxt(path_sala + 'niveles_' + nombre_archi_P + sufijo_nivel +'.xlt', P_niveles, 
                   delimiter = '\t', newline = '\n')        
    
        
        
        
        
        